// 'app.module.ts' file
import {NgModule} from '@angular/core';
// Angular base libraries:
import {BrowserModule as New_name_for_BrowserModule} from '@angular/platform-browser';
// Homemade ("feature") module (JavaScript-based import):
import Currencies_module from '../currencies/currencies.module';

import {AppComponent} from './app.component';

@NgModule({ // Module declaration thanks to TypeScript decorator
    declarations: [AppComponent /* Component as part of the module... */],
    imports: [
        New_name_for_BrowserModule,
        // Homemade ("feature") module (Angular-based import):
        Currencies_module],
    providers: [],
    bootstrap: [AppComponent]
})
export class My_root_module {
}
