import {EventEmitter, Injectable} from '@angular/core';

@Injectable({
    providedIn: 'root'
})
export class Change_route_service {
    private readonly _peer_to_peer: EventEmitter<string> = new EventEmitter();

    public receive_path(handler: (path: string) => void): void {
        this._peer_to_peer.subscribe(handler);
    }

    public send_path(path: string): void {
        this._peer_to_peer.emit(path);
    }
}
