// 'guess-material-icon.pipe.ts' file
import {Pipe, PipeTransform} from '@angular/core';

// A pure pipe is only called when Angular detects a change in the value or the parameters passed to a pipe.
// An impure pipe is called for every change detection cycle no matter whether the value or parameter(s) change(s).
@Pipe({name: 'guess_material_icon', pure: false})
export class Guess_material_icon implements PipeTransform {
// Bad architecture (values in array are shared with 'currencies-menu' component):
    private static readonly _Currency_material_icons = new Array('attach_money', 'euro_symbol'); // '$', '€'

    transform(a_priori_value: string, value: string): string {
        if (a_priori_value !== "?") return a_priori_value;
        const guessed_material_icon = Guess_material_icon._Currency_material_icons.find(material_icon => material_icon === value);
        return guessed_material_icon ? guessed_material_icon : 'error';
    }
}
